Summary: Daemon for providing old entries in /dev with devfs
Name: devfsd
Exclusiveos: Linux
Version: 1.3.5
Release: 1mdk
Copyright: GPL
Group: System/Kernel and hardware
Source: %{name}.tar.bz2
Source1: devfs_fs.h.bz2
Source2: devfs_fs_kernel.h.bz2
#Patch0: %{name}-mdk-fixes.diff.bz2
#Patch1: %{name}-mdk-conf.diff.bz2
BuildRoot: %{_tmppath}/%{name}-%{version}-build
Prefix: /

%description
The devfsd programme is a daemon, run by the system boot
scripts which can provide for intelligent management of
device entries in the Device Filesystem (devfs).

As part of its setup phase devfsd creates certain symbolic
links which are compiled into the code. These links are
required by /usr/src/linux/Documentation/devices.txt. This
behaviour may change in future revisions.

devfsd will read the special control file .devfsd in a
mounted devfs, listening for the creation and removal of
device entries (this is termed a change operation). For
each change operation, devfsd can take many actions. The
daemon will normally run itself in the background and send
messages to syslog.

The opening of the syslog service is automatically delayed
until /dev/log is created.

At startup, before switching to daemon mode, devfsd will
scan the mounted device tree and will generate synthetic
REGISTER events for each leaf node.



%prep
%setup -q -n %{name}

#%patch0 -p1
#%patch1 -p1

%build
mkdir linux
bzcat $RPM_SOURCE_DIR/devfs_fs.h.bz2 > linux/devfs_fs.h
bzcat $RPM_SOURCE_DIR/devfs_fs_kernel.h.bz2 > linux/devfs_fs_kernel.h
ls -l linux
make all CFLAGS="%{optflags} -I."

%install
mkdir -p %{buildroot}/{sbin,usr/man/man8,etc}
install -m 755 -s devfsd %{buildroot}/sbin/devfsd
bzip2 -9 devfsd.8
install -m 644 devfsd.8.bz2 %{buildroot}/usr/man/man8
install -m 644 devfsd.conf %{buildroot}/etc/devfsd.conf

%clean
rm -rf $RPM_BUILD_ROOT

%post

%files
%defattr(-,root,root)
/usr/man/man8/devfsd.8.bz2
/sbin/devfsd
%config /etc/devfsd.conf

%changelog
* Wed Apr 19 2000 Jeff Garzik <jgarzik@mandrakesoft.com> 1.3.5-1mdk
- version 1.3.5
- ditch mdk fixes patch

* Tue Apr 18 2000 Jeff Garzik <jgarzik@mandrakesoft.com> 1.3.4-1mdk
- version 1.3.4
- fix spec permissions

* Mon Apr 17 2000 Jeff Garzik <jgarzik@mandrakesoft.com> 1.3.3-1mdk
- version 1.3.3
- new BuildRoot

* Thu Mar 30 2000 Thierry Vignaud <tvignaud@mandrakesoft.com> 1.31-2mdk
- fix a typo in the release number :-(
- compiled against 2.3.99pre4-1
- patches for DrakX had been submited and integrated. Patches for rc.sysinit
  are currently tested.

* Thu Mar 23 2000 Thierry Vignaud <tvignaud@mandrakesoft.com> 1.31-1mdk
- fist mandrake spec: use spechelper
- by default, we provide compatiblity entries in /dev
  (DiskDrake won't like /dev/ide/host0/bus0/target0/lun0/part1 instead of
  /dev/hda1 ...)
- fix bad code compilation
- add loading of sound module when /dev/{mixer,dsp,...} is lookuped

